org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcMetaColumnsResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaColumnsResult

All Implemented Interfaces:
  JdbcRawBinarylizable

Direct Known Subclasses:
  JdbcMetaColumnsResultV2, JdbcMetaColumnsResultV3, JdbcMetaColumnsResultV4

    public class JdbcMetaColumnsResult
    extends JdbcResult

JDBC columns metadata result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Constructor Summary

Constructors
`protected` `JdbcMetaColumnsResult(byte type)` Used by children classes.
`protected` `JdbcMetaColumnsResult(byte type, Collection<JdbcColumnMeta> meta)` Used by children classes.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected JdbcColumnMeta` `createMetaColumn()`
`List<JdbcColumnMeta>` `meta()`
`void` `readBinary(BinaryReaderExImpl reader, ClientListenerProtocolVersion ver)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, ClientListenerProtocolVersion ver)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcMetaColumnsResult

    protected JdbcMetaColumnsResult(byte type)

Used by children classes.

Parameters:
  `type` - Type ID.

#### JdbcMetaColumnsResult

    protected JdbcMetaColumnsResult(byte type,
                                    Collection<JdbcColumnMeta> meta)

Used by children classes.

Parameters:
  `type` - Type ID.
  `meta` - Columns metadata.

### Method Detail

#### meta

    public List<JdbcColumnMeta> meta()

Returns:
  Columns metadata.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            ClientListenerProtocolVersion ver)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
  `ver` - ver Protocol version.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           ClientListenerProtocolVersion ver)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
  `ver` - Protocol version.
Throws:
  `BinaryObjectException` - In case of error.

#### createMetaColumn

    protected JdbcColumnMeta createMetaColumn()

Returns:
  Empty columns metadata to deserialization.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019